Permalink
Browse files

Fix up some typos which caused configure to fail

  • Loading branch information...
1 parent eafe31a commit 035212aabbb08d5fc555c6bfe8cc19e59a9cd314 @hyperair hyperair committed Nov 5, 2010
Showing with 17 additions and 21 deletions.
  1. +4 −3 build/common.m4
  2. +1 −1 build/geanygendoc.m4
  3. +1 −2 build/geanylua.m4
  4. +1 −1 build/geanyvc.m4
  5. +1 −1 build/pretty-printer.m4
  6. +2 −2 build/spellcheck.m4
  7. +7 −11 build/treebrowser.m4
View
@@ -26,12 +26,13 @@ dnl plugins appropriately if enable_$plugin=auto
AC_DEFUN([GP_CHECK_PLUGIN_DEPS],
[
if test "$m4_tolower(AS_TR_SH(enable_$1))" = "yes"; then
- PKG_CHECK_MODULES($2, $3)
+ PKG_CHECK_MODULES([$2], [$3])
elif test "$m4_tolower(AS_TR_SH(enable_$1))" = "auto"; then
- PKG_CHECK_MODULES($2, $3,
+ PKG_CHECK_MODULES([$2], [$3],
[m4_tolower(AS_TR_SH(enable_$1))=yes],
[m4_tolower(AS_TR_SH(enable_$1))=no])
fi
- AM_CONDITIONAL(m4_toupper(AS_TR_SH(ENABLE_$2)), test "$m4_tolower(AS_TR_SH(enable_$1_)" = yes))
+ AM_CONDITIONAL(m4_toupper(AS_TR_SH(ENABLE_$1)),
+ test "$m4_tolower(AS_TR_SH(enable_$1))" = yes)
])
View
@@ -8,7 +8,7 @@ AC_DEFUN([GP_CHECK_GEANYGENDOC],
CTPL_VERSION=0.3
GP_CHECK_PLUGIN_DEPS([GeanyGenDoc], GEANYGENDOC,
- [gtk+-2.0 >= ${GK_VERSION}
+ [gtk+-2.0 >= ${GTK_VERSION}
glib-2.0 >= ${GLIB_VERSION}
gio-2.0 >= ${GIO_VERSION}
ctpl >= ${CTPL_VERSION}])
View
@@ -5,8 +5,7 @@ AC_DEFUN([GP_CHECK_GEANYLUA],
AC_ARG_WITH([lua-pkg],
AC_HELP_STRING([--with-lua-pkg=ARG],
[name of Lua pkg-config script [[default=lua5.1]]]),
- [LUA_PKG_NAME=${withval%.pc}
- enable_geanylua=yes],
+ [LUA_PKG_NAME=${withval%.pc}],
[LUA_PKG_NAME=lua5.1
for L in lua5.1 lua51 lua-5.1 lua; do
View
@@ -14,7 +14,7 @@ AC_DEFUN([GP_CHECK_GEANYVC],
PKG_CHECK_MODULES(GTKSPELL, [gtkspell-2.0])
fi
- if [[ "$enable_gtkspell" = yes -a "$enable_geanyvc" no ]]; then
+ if [[ "$enable_gtkspell" = yes -a "$enable_geanyvc" = no ]]; then
AC_MSG_WARN([GtkSpell support for GeanyVC enabled, but GeanyVC itself not enabled.])
fi
View
@@ -5,7 +5,7 @@ AC_DEFUN([GP_CHECK_PRETTYPRINTER],
GP_ARG_DISABLE([pretty-printer], [auto])
GP_CHECK_PLUGIN_DEPS([pretty-printer], [LIBXML],
[libxml-2.0 >= ${LIBXML_VERSION}])
- GP_STATUS_PLUGIN_ADD([Pretty Printer], [$enable_prettyprinter])
+ GP_STATUS_PLUGIN_ADD([Pretty Printer], [$enable_pretty_printer])
AC_CONFIG_FILES([
pretty-printer/Makefile
View
@@ -6,11 +6,11 @@ AC_DEFUN([GP_CHECK_SPELLCHECK],
OPT_ENCHANT_VERSION=1.5
GP_CHECK_PLUGIN_DEPS([spellcheck], [ENCHANT],
[enchant >= ${ENCHANT_VERSION}])
- PKG_CHECK_MODULES([ENCHANT], [enchant >= $OPT_ENCHANT_VERSION],
+ PKG_CHECK_MODULES([ENCHANT], [enchant >= ${OPT_ENCHANT_VERSION}],
have_enchant_1_5=yes,
have_enchant_1_5=no)
- AM_CONDITIONAL(HAVE_ENCHANT_1_5, test $have_enchant_1_5 = yes)
+ AM_CONDITIONAL([HAVE_ENCHANT_1_5], [test "$have_enchant_1_5" = yes])
GP_STATUS_PLUGIN_ADD([Spellcheck], [$enable_spellcheck])
AC_CONFIG_FILES([
View
@@ -2,7 +2,8 @@ AC_DEFUN([GP_CHECK_TREEBROWSER],
[
GP_ARG_DISABLE([Treebrowser], [auto])
if [[ "$enable_treebrowser" != no ]]; then
- AC_CHECK_FUNC([creat],,
+ AC_CHECK_FUNC([creat],
+ [enable_treebrowser=yes],
[
if [[ "$enable_treebrowser" = auto ]]; then
enable_treebrowser=no
@@ -12,21 +13,16 @@ AC_DEFUN([GP_CHECK_TREEBROWSER],
works on your system.])
fi
])
+ fi
PKG_CHECK_MODULES([GIO], [gio-2.0],
- [AC_DEFINE([HAVE_GIO], 1, [Whether we have GIO])],
- [AC_MSG_NOTICE([Treebrowser GIO support is disabled because of the following problem: $GIO1_PKG_ERRORS])])
-
- if test "x$enable_treebrowser" = "xauto"; then
- enable_treebrowser="$treebrowser_have_creat"
- elif test "x$enable_treebrowser" = "xyes"; then
- if ! test "x$treebrowser_have_creat" = "xyes"; then
- AC_MSG_ERROR([missing function creat()])
- fi
- fi
+ [AC_DEFINE([HAVE_GIO], 1, [Whether we have GIO])
+ have_gio=yes],
+ [have_gio=no])
AM_CONDITIONAL(ENABLE_TREEBROWSER, test "x$enable_treebrowser" = "xyes")
GP_STATUS_PLUGIN_ADD([TreeBrowser], [$enable_treebrowser])
+ GP_STATUS_FEATURE_ADD([TreeBrowser GIO support], [$have_gio])
AC_CONFIG_FILES([
treebrowser/Makefile

0 comments on commit 035212a

Please sign in to comment.